Power Manager and Panther (Mac OS X 10.3.9)

With the latest update of Power Manager 3, Mac OS X 10.3.9 is no longer supported. The engineering effort required to support Mac OS X 10.3.9, combined with the dwindling number of Panther users, made the decision easy for us.
Power Manager 3.7.3 and later require Mac OS X 10.4. We recommend users upgrade to Mac OS X 10.5, or later, for the best experience.
A Little History
Mac OS X 10.3 was the first version of Mac OS X that could support Power Manager's functionality. We published Power Manager v3.0 for Mac OS X in August 2005. So today is sad day, but one recalling four years of happy memories.
Power Manager 3 continues to support three generations of Mac OS X: Tiger (10.4), Leopard (10.5), and Snow Leopard (10.6).

With the latest update of Power Manager 3, Mac OS X 10.3.9 is no longer supported.

The engineering effort required to support Mac OS X 10.3.9, combined with the dwindling number of Panther users, made the decision easy for us.

Power Manager 3.7.3 and later require Mac OS X 10.4. We recommend users upgrade to Mac OS X 10.5, or later, for the best experience.

A Little History

Mac OS X 10.3 was the first version of Mac OS X that could support Power Manager's functionality. We published Power Manager v3.0 for Mac OS X in August 2005. So today is sad day, but one recalling four years of happy memories.

The Here and Now

DssW Power Manager 3 now supports three generations of Mac OS X:

  • Mac OS X 10.6, aka Snow Leopard
  • Mac OS X 10.5, aka Leopard
  • Mac OS X 10.4, aka Tiger

See Power Manager 3's full history for other changes.

This article was posted in and tagged , , , and .

Published by Graham Miln on